Subject: Re: [bitcoin-dev] BIP 2 revival and rework

From: Tom Zander <[email-masked]>
Date: Sat, 15 Oct 2016 13:00:35 +0200

On Saturday, 15 October 2016 12:11:02 CEST Marco Falke wrote:
> On Sat, Sep 24, 2016 at 11:41 AM, Tom via bitcoin-dev
> <[email-masked]> wrote:
> > I'd suggest saying that "Share alike" is required and "Attribution" is
> > optional.
> 
> Please note there is no CC license that requires SA and at the same
> time has BY as an option.
> 
> Generally, I think CC0 is best suited as license for BIPs. If authors
> are scared that they won't get proper attribution, they can choose
> MIT/BSD or CC-BY.

My suggestion (sorry for not explaining it better) was that for BIPS to be a 
public domain (aka CC0) and a CC-BY option and nothing else.

I like you agree with that part, but I see you added two licenses.
Do you have a good reason to add MIT/BSD to that list? Otherwise I think we 
agree.
Using code-specific licenses (including the GPL) for documentation and 
specifically a specification is a really poor fit and doens't make much sense.

> Other than that I don't think that more restrictive
> licenses are suitable for BIPs. The BIP repo seems like the wrong
> place to promote Open Access (e.g. by choosing a CC-BY-SA license).
> BIP 2 allows such licenses, but does not recommend them, which is
> fine.
> 
> I think that BIP 2 in its current form (
> https://github.com/bitcoin/bips/blob/master/bip-0002.mediawiki
> @6e47447b ) 
Well, it has this sentence;

> This BIP is dual-licensed under the Open Publication License and
> BSD 2-clause license. 

Which is a bit odd in light of the initial email from Luke that suggested we 
drop the Open Publication License and we use the CC ones instead in addition 
to the public domain one.

Marco:
> looks good and addressed the feedback which was
> accumulated last year. If there are no objections I'd suggest to move
> forward with BIP 2 in the next couple of days/weeks.

Thats odd, you just stated you like the public domain (aka CC0) license, yet 
you encourage the BIP2 that states we can no longer use public domain for 
BIPs... Did you read it?
It says;
 «Public domain is not universally recognised as a legitimate action, thus
  it is inadvisable.» [1]

Also;
This list has not seen a lot of traffic, if you want to make sure people keep 
using the BIP process, I think you need to reach out to the rest of the 
community and make sure this has been heard and discussed.
Moving forward the way it is now will likely deminish the importance of the 
BIP process.

I strongly suggest people make very clear any and all changes that are 
proposed and defend each of them with reasons why you want to change things.

1) if you write as a rationale "In some jurisdictions, public domain is not 
recognised as a legitimate legal action" then you can at least name those 
jurisdictions and explain how they *do* support things like GPL. Burden of 
proof is on the man who wants to change things.
It looks fishy when lawyers disagree. See the CC wikipedia page;
 "public domain: cc0 Freeing content globally without restrictions"

-- 
Tom Zander
Blog: https://zander.github.io
Vlog: https://vimeo.com/channels/tomscryptochannel